using System.Collections.Generic;

namespace com.chinaeinv.einv.order.dto
{
    /**
    * 开票请求中的发票信息
    */
    public class Invoice 
    {
        /**
        * 订单编号
        */
        public string orderNo { get; set; }

        /**
        * 子订单编号
        */
        public string subOrderNo { get; set; }

        /**
        * 店铺名称
        */
        public string shopName { get; set; }

        /**
        * 店铺编号
        */
        public string shopCode { get; set; }

        /**
        * 销货方纳税人识别号
        */
        public string taxpayerCode { get; set; }

        /**
        * 销货方名称
        */
        public string taxpayerName { get; set; }

        /**
        * 销货方地址
        */
        public string taxpayerAddress { get; set; }

        /**
        * 销货方电话
        */
        public string taxpayerTel { get; set; }

        /**
        * 销货方开户银行
        */
        public string taxpayerBankName { get; set; }

        /**
        * 销货方银行账号
        */
        public string taxpayerBankAccount { get; set; }

        /**
        * 购货方纳税人识别号
        */
        public string customerCode { get; set; }

        /**
        * 购货方名称，即发票抬头
        */
        public string customerName { get; set; }

        /**
        * 购货方地址
        */
        public string customerAddress { get; set; }

        /**
        * 购货方电话
        */
        public string customerTel { get; set; }

        /**
        * 购货方开户银行
        */
        public string customerBankName { get; set; }

        /**
        * 购货方银行账号
        */
        public string customerBankAccount { get; set; }

        /**
        * 发票代码＋发票号码
        */
        public string code { get; set; }

        /**
        * 校验码
        */
        public string checkCode { get; set; }

        /**
        * 税控码
        */
        public string fiscalCode { get; set; }

        /**
        * 发票状态
        * 正常：1
        * 红冲：3
        * 被红冲：4
        */
        public string status { get; set; }

        /**
        * 生成时间
        */
        public string generateTime { get; set; }

        /**
        * 税价合计金额
        */
        public string totalAmount { get; set; }

        /**
        * 不含税金额
        */
        public string noTaxAmount { get; set; }

        /**
        * 税额
        */
        public string taxAmount { get; set; }

        /**
        * 开票人
        */
        public string drawer { get; set; }

        /**
        * 收款人
        */
        public string payee { get; set; }

        /**
        * 复核人
        */
        public string reviewer { get; set; }

        /**
        * 发票备注
        */
        public string remark { get; set; }

        /**
        * 未签名PDF下载URL
        */
        public string pdfUnsignedUrl { get; set; }

        /**
        * 查看URL
        */
        public string viewUrl { get; set; }

        /**
        * 关联发票编号
        */
        public string relatedCode { get; set; }

        /**
        * 作废/红冲原因
        */
        public string validReason { get; set; }

        /**
        * 作废/红冲时间
        */
        public string validTime { get; set; }

        /**
        * 项目明细
        */
        public List<InvoiceItem> items { get; set; }
    }
}