using System.Collections.Generic;
using System.Collections;
using System;

namespace com.chinaeinv.einv.order.dto
{
    /**
    * 订单详细信息
    */
    public class Order : OrderBase {
        /**
        * 用户扫码key
        */
        public string scanCodeKey { get; set; }

        /**
        * 店铺
        */
        public string shopName { get; set; }

        /**
        * 店铺编号
        */
        public string shopCode { get; set; }

        /**
        * 订单时间（yyyy-MM-dd HH:mm:ss）
        */
        public string orderTime { get; set; }

        /**
        * 联系人
        */
        public string contact { get; set; }

        /**
        * 联系电话
        */
        public string contactTel { get; set; }

        /**
        * 邮箱
        */
        public string contactMail { get; set; }

        /**
        * 配送地址
        */
        public string shippingAddress { get; set; }

        /**
        * 销货方名称
        */
        public string taxpayerName { get; set; }

        /**
        * 销货方地址
        */
        public string taxpayerAddress { get; set; }

        /**
        * 销货方电话
        */
        public string taxpayerTel { get; set; }

        /**
        * 销货方开户银行
        */
        public string taxpayerBankName { get; set; }

        /**
        * 销货方银行账号
        */
        public string taxpayerBankAccount { get; set; }

        /**
        * 购货方名称，即发票抬头
        */
        public string customerName { get; set; }

        /**
        * 购货方纳税人识别号
        */
        public string customerCode { get; set; }

        /**
        * 购货方地址
        */
        public string customerAddress { get; set; }

        /**
        * 购货方电话
        */
        public string customerTel { get; set; }

        /**
        * 购货方开户银行
        */
        public string customerBankName { get; set; }

        /**
        * 购货方银行账号
        */
        public string customerBankAccount { get; set; }

        /**
        * 是否自动开票
        */
        public Boolean autoBilling { get; set; }

        /**
        * 开票人
        */
        public string drawer { get; set; }

        /**
        * 收款人
        */
        public string payee { get; set; }

        /**
        * 复核人
        */
        public string reviewer { get; set; }

        /**
        * 开票金额
        */
        public string totalAmount { get; set; }

        /**
        * 发票备注
        */
        public string remark { get; set; }

        /**
        * 冲红原因
        */
        public string reason { get; set; }

        /**
        * 订单明细
        */
        public List<OrderItem> orderItems { get; set; }

        /**
        * 扩展参数
        */
        public Hashtable extendedParams { get; set; }

        /**
        * 动态参数
        */
        public Hashtable dynamicParams { get; set; }
    }
}